# Enum ExpiresFilter.StartingPoint

java.lang.Object
java.lang.Enum<ExpiresFilter.StartingPoint>
org.apache.catalina.filters.ExpiresFilter.StartingPoint

All Implemented Interfaces:
  `Serializable`, `Comparable<ExpiresFilter.StartingPoint>`, `java.lang.constant.Constable`

Enclosing class:
  `ExpiresFilter`

public static enum ExpiresFilter.StartingPoint extends Enum<ExpiresFilter.StartingPoint>
Expiration configuration starting point. Either the time the HTML-page/servlet-response was served (`ACCESS_TIME`) or the last time the HTML-page/servlet-response was modified ( `LAST_MODIFICATION_TIME`).

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACCESS_TIME`
`LAST_MODIFICATION_TIME`

## Method Summary

Modifier and Type
Method
Description
`static ExpiresFilter.StartingPoint`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ExpiresFilter.StartingPoint[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ACCESS_TIME

public static final ExpiresFilter.StartingPoint ACCESS_TIME

### LAST_MODIFICATION_TIME

public static final ExpiresFilter.StartingPoint LAST_MODIFICATION_TIME

## Method Details

### values

public static ExpiresFilter.StartingPoint[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ExpiresFilter.StartingPoint valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null